Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Interface DbPanicHandler

public interface DbPanicHandler

An interface specifying a function to handle database environment panics.

Method Summary
`void` | `panic(DbEnv dbenv, DbException e)` The DbPanicHandler interface is used by the DbEnv.setPanicHandler method.

Method Detail

### panic

    public void panic(DbEnv dbenv,
                      DbException e)

  The DbPanicHandler interface is used by the DbEnv.setPanicHandler method. This interface defines the application-specific function to be called when the database environment panics.

  Parameters:
    `dbenv` - the enclosing database environment handle.
    `e` - the DbException that would have been thrown to the calling method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.